const mainBlock = $(".cart__box--radio");
const items = $(".cart__label");

function handleIndicator() {
  mainBlock.each(( i, el ) => {
    const $el = $(el);
    const indicator = $el.find(".cart__mask");
    const activeLabel = $el.find(".cart__label.is-active");

    indicator.css( "width", activeLabel.outerWidth() + "px"); 
    indicator.css( "left", activeLabel.position().left+ "px"); 
  });
}

items.each((i, el) => {
  const $el = $(el);
  $el.on("click", () => {
    $el.closest('.cart__element').find(".is-active").removeClass('is-active');
    $el.addClass('is-active');

    handleIndicator();
  });
});

handleIndicator();